Project

General

Profile

Anomalie #8411

language-pack-en n'est plus installé après Upgrade 2.3 -> 2.4

Added by Joël Cuissinat about 6 years ago. Updated about 6 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Category:
-
Start date:
Due date:
07/04/2014
% Done:

100%

Estimated time:
1.50 h
Spent time:
Distribution:
EOLE 2.3

Description

Découvert car un hack présent dans l'agent "clamav.py" ne passait plus sur mon Horus migré :

Traceback (most recent call last):
  File "/usr/bin/twistd", line 14, in <module>
    run()
  File "/usr/lib/python2.7/dist-packages/twisted/scripts/twistd.py", line 27, in run
    app.run(runApp, ServerOptions)
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 652, in run
    runApp(config)
  File "/usr/lib/python2.7/dist-packages/twisted/scripts/twistd.py", line 23, in runApp
    _SomeApplicationRunner(config).run()
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 386, in run
    self.application = self.createOrGetApplication()
  File "/usr/lib/python2.7/dist-packages/twisted/application/app.py", line 446, in createOrGetApplication
    ser = plg.makeService(self.config.subOptions)
  File "/usr/lib/python2.7/dist-packages/zephir/monitor/agentmanager/zephir_tap.py", line 49, in makeService
    return ZephirService(config,serve_static=True).with_updater_and_publisher()
  File "/usr/lib/python2.7/dist-packages/zephir/monitor/agentmanager/zephirservice.py", line 84, in with_updater_and_publisher
    self.updater = UpdaterService(self.config, self, self.root_resource)
  File "/usr/lib/python2.7/dist-packages/zephir/monitor/agentmanager/zephirservice.py", line 109, in __init__
    self.agents = self.load_agents()
  File "/usr/lib/python2.7/dist-packages/zephir/monitor/agentmanager/zephirservice.py", line 157, in load_agents
    execfile(f, globals(), h)
  File "configs/virus.agent", line 9, in <module>
    from zephir.monitor.agents.clamav import ClamLog
  File "/usr/lib/python2.7/dist-packages/zephir/monitor/agents/clamav.py", line 21, in <module>
    locale.setlocale(locale.LC_ALL, ('en_US', 'UTF8'))
  File "/usr/lib/python2.7/locale.py", line 539, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting


Related issues

Related to eole-common - Anomalie #8372: apparmor n'est pas installé après Upgrade-Auto Fermé 06/20/2014

Associated revisions

Revision dccdc8b5 (diff)
Added by Joël Cuissinat about 6 years ago

L'agent clamav utilise le paquet : language-pack-en

Fixes: #8411 @30m

History

#1 Updated by Joël Cuissinat about 6 years ago

  • Status changed from Nouveau to Résolu
  • % Done changed from 0 to 100

#2 Updated by Joël Cuissinat about 6 years ago

  • Due date set to 07/04/2014
  • Assigned To set to Joël Cuissinat

#3 Updated by Joël Cuissinat about 6 years ago

  • Status changed from Résolu to Fermé

OK, la dépendance est de toute façon la bienvenue car visiblement elle n'était pas pré-installée sur tous les modules 2.4 natifs :

New packages:
    language-pack-en (root)
    language-pack-en-base (root)

Also available in: Atom PDF